.finding {
    margin: 0 10rem 10rem 10rem;
}

.finding > p {
    margin-right: 10rem;
}

.cluster-grid-container{
    margin-top: 3rem;
    display:flex;
    justify-content:center;
    align-items:center;
}

.cluster-grid {
    display: grid;
    grid-template-columns: repeat(5, minmax(50px, 1fr));
    gap: 1rem;
    width: clamp(200px, 80%, 1000px);
}

.cluster-cell {
    aspect-ratio: 1;
    width: 100%;
    display:flex;
    justify-content:center;
    align-items:center;
}

.cluster-cell:hover {
    scale:1.1;
}

.cluster-cell > button{
    width: 100%;
    height: 100%;
    text-decoration:none;
    border:none;
    border-radius:10px;
    background-color:none;
    cursor:pointer;
}


.cluster-modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 10000; /* Sit on top */
    left: 0%;
    top: 0%;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(240, 240, 240); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    backdrop-filter: blur(2px);
}

.cluster-modal-content{
    background: white;
    margin: 20px auto;
    padding: 20px;
    border: 1px solid #888;
    width: 60%;
}

.cluster-modal-content > .close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}
.cluster-modal-content > .close:hover,
.cluster-modal-content > .close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.findings-pdf-button {
    float:right;
    border-radius: 50px;
    padding: 1rem;
    color: white;
    background: #09628e;
    border:none;
    cursor:pointer;
    transition: scale 0.2s ease;
}

.findings-pdf-button:hover {
    scale:1.05;
}

@media (max-width:800px) {
    .cluster-grid {
        width: 80%;
    }
}
@media (min-width:1000px) {
    .cluster-modal-content {
        width: 80%;
    }
}
